## gate.security
Class TestSecurity

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.framework.TestCase
                  |
                  +--gate.security.TestSecurity

All Implemented Interfaces:
  junit.framework.Test

public class TestSecurity
extends junit.framework.TestCase

Persistence test class

Field Summary
`private static int` `ADMIN_GROUP_ID`
`private static int` `ADMIN_USER_ID`
`private static boolean` `DEBUG` Debug flag
`private static int` `ENGLISH_GROUP_ID`
`private boolean` `exceptionThrown`
`private static String` `JDBC_URL` JDBC URL
`private static int` `SUAHILI_GROUP_ID`

Fields inherited from class junit.framework.TestCase
`fName`

Constructor Summary
`TestSecurity(String name)` Construction

Method Summary
`static void` `main(String[] args)`
`void` `setUp()` Fixture set up
`static junit.framework.Test` `suite()` Test suite routine for the test runner
`void` `tearDown()` Put things back as they should be after running tests (reinitialise the CREOLE register).
`void` `testSecurityTables()`
`void` `testUserGroupManipulation()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert

`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### DEBUG

    private static final boolean DEBUG

  Debug flag

### ADMIN_GROUP_ID

    private static final int ADMIN_GROUP_ID

### ADMIN_USER_ID

    private static final int ADMIN_USER_ID

### SUAHILI_GROUP_ID

    private static final int SUAHILI_GROUP_ID

### ENGLISH_GROUP_ID

    private static final int ENGLISH_GROUP_ID

### JDBC_URL

    private static final String JDBC_URL

  JDBC URL

### exceptionThrown

    private boolean exceptionThrown

Constructor Detail

### TestSecurity

    public TestSecurity(String name)
                 throws GateException

  Construction

Method Detail

### setUp

    public void setUp()
               throws Exception

  Fixture set up
  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    public void tearDown()
                  throws Exception

  Put things back as they should be after running tests (reinitialise the CREOLE register).
  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### testSecurityTables

    public void testSecurityTables()
                            throws Exception

### testUserGroupManipulation

    public void testUserGroupManipulation()
                                   throws Exception

### suite

    public static junit.framework.Test suite()

  Test suite routine for the test runner

### main

    public static void main(String[] args)